#ifndef DIALOGADDSERVER_H
#define DIALOGADDSERVER_H

#include <QDialog>
#include <QNNTPGrabGlue.h>

namespace Ui {
    class DialogAddServer;
}

class DialogAddServer : public QDialog {
    Q_OBJECT
public:
    DialogAddServer(QNNTPGrabGlue *glue, QNNTPGrabGlue::ConfigServer *server = NULL, QWidget *parent = 0);
    ~DialogAddServer();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::DialogAddServer *ui;
    QNNTPGrabGlue *glue;
    QNNTPGrabGlue::ConfigServer *server;

private slots:
    void on_cb_ssl_toggled(bool checked);
    void on_btn_Cancel_clicked();
    void on_btn_apply_clicked();
    void on_cb_requires_authentication_toggled(bool checked);
};

#endif // DIALOGADDSERVER_H
