#ifndef WIDGETCONFIGFOLDERS_H
#define WIDGETCONFIGFOLDERS_H

#include <QWidget>
#include <QDirModel>
#include "QNNTPGrabGlue.h"

namespace Ui {
    class WidgetConfigFolders;
}

class WidgetConfigFolders : public QWidget {
    Q_OBJECT
public:
    WidgetConfigFolders(QNNTPGrabGlue *glue, QWidget *parent = 0);
    ~WidgetConfigFolders();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::WidgetConfigFolders *ui;
    QDirModel *model;
    QNNTPGrabGlue *glue;

private slots:
    void configChanged();

    void editDownloadFolder_textChanged(QString text);
    void editTempFolder_textChanged(QString text);
    void btnChangeDownloadFolder_clicked();
    void btnChangeTempFolder_clicked();

    void treeViewDownloadFolder_clicked(QModelIndex idx);
    void treeViewTempFolder_clicked(QModelIndex idx);
};

#endif // WIDGETCONFIGFOLDERS_H
