#ifndef WIDGETNZBCREATORDETAILS_H
#define WIDGETNZBCREATORDETAILS_H

#include <QRunnable>
#include <QTreeWidgetItem>
#include "QNZBCreator.h"

class WidgetNZBCreatorDetails : public QObject, public QRunnable
{
    Q_OBJECT

public:
    WidgetNZBCreatorDetails(QTreeWidgetItem *item, qint64 collection_id, QDateTime stamp, QObject *parent = 0);

signals:
    void finished(bool ret, QTreeWidgetItem *item, QList<QNZBCreator::File> files, QString errmsg);

private:
    QNZBCreator nzbcreator;
    QTreeWidgetItem *item;
    qint64 collection_id;
    QDateTime stamp;

    void run();
};

#endif // WIDGETNZBCREATORDETAILS_H
