#ifndef WIDGETUPDATEINFO_H
#define WIDGETUPDATEINFO_H

#include <QWidget>
#include <QNetworkReply>

namespace Ui {
    class WidgetUpdateInfo;
}

class UpdateInfo;

class WidgetUpdateInfo : public QWidget {
    Q_OBJECT
public:
    WidgetUpdateInfo(QWidget *parent = 0);
    ~WidgetUpdateInfo();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::WidgetUpdateInfo *ui;

    bool processUpdateInfo(QString xml_data, UpdateInfo *info);
    void processAndShowUpdateInfo(QString xml_data);

private slots:
    void finishedSlot(QNetworkReply* reply);

};

#endif // WIDGETUPDATEINFO_H
